
Object.extend = function(destination, source) {
  for (let property in source) {
    destination[property] = source[property];
  }
  return destination;
}
Object.extend(Object, {








  /**
   * 深 copy
   * **/
  dj_copy(object){
    if (typeof object === 'string' || typeof object === 'number' || typeof object === 'boolean' || typeof object === 'undefined') {
      return object
    } else if (typeof object === 'array') {
      const mapper = [];
      for(let i=0;i<object.length;i++){
        mapper.push(Object.dj_copy(object[i]))
      }
      return mapper
    } else if (typeof object === 'object') {
      let mapper = new object.constructor ();
      for (let key in object) {
        if (object.hasOwnProperty(key)) {
          let val = object[key];
          mapper[key] = typeof val === 'object' ? arguments.callee(val) : val;
        }
      }
      return mapper;
    }
  },
  /**
   * 对象深度合并
   * **/
  dj_objectMerge(object, anotherObject){

    let key
    for (key in anotherObject) {
      object[key] = object[key] && object[key].toString() === '[object Object]'
        ? Object.dj_objectMerge(object[key], anotherObject[key])
        : (object[key] = anotherObject[key])
    }
    return object
  }
});

