import DjTableViewModel from './DjTableViewModel'

export default {
  props:{
    viewModel:DjTableViewModel
  },
  methods:{
    /**
     * 搜索事件
     * **/
    dj_searcherHandle (content = '') {
      this.viewModel.dj_searcherHandle(content);
    },
    /**
     * 新增事件
     * **/
    dj_addHandle (model = undefined,index = -1) {
      this.viewModel.dj_addHandle(model,index);
    },
    /**
     * 更新事件
     * **/
    dj_updateHandle (model = undefined,index = -1) {
      this.viewModel.dj_updateHandle(model,index);
    },
    /**
     * 页码改变
     * **/
    dj_pageChangeHandle(page){
      this.viewModel.dj_pageChangeHandle(page);
    },
    /**
     * 每页数据量改变
     * **/
    dj_pageSizeChangeHandle(pageSize){
      this.viewModel.dj_pageSizeChangeHandle(pageSize);
    },

  }
}
