class DjObject {
  constructor () {}
  /**
   * 所有属性
   * **/
  dj_properties(){
    return Object.keys(this);
  }
  /**
   * 深复制
   * **/
  dj_copy(obj){
    let result = Array.isArray(obj) ? [] : {};
    for (let key in obj) {
      if (obj.hasOwnProperty(key)) {
        if (typeof obj[key] === 'object' && obj[key]!==null) {
          result[key] = this.dj_copy(obj[key]);   //递归复制
        } else {
          result[key] = obj[key];
        }
      }
    }
    return result;
  }

}
export default DjObject
