import DjVueModel from '../base/DjVueModel'

class DjTableViewModel extends DjVueModel{
  constructor () {
    super();
    this.searchContent = '';
  }
  /**
   * 搜索事件
   * **/
  dj_searcherHandle (content = '') {
    this.searchContent = content;
  }
  /**
   * 新增事件
   * **/
  dj_addHandle (model = undefined,index = -1) {}
  /**
   * 更新事件
   * **/
  dj_updateHandle (model = undefined,index = -1) {}
  /**
   * 页码改变
   * **/
  dj_pageChangeHandle(page){
    this.paginate.page = page;
    this.dj_loadDataRequest();
  }
  /**
   * 每页数据量改变
   * **/
  dj_pageSizeChangeHandle(pageSize){
    this.paginate.pageSize = pageSize;
    this.dj_loadDataRequest()
  }


  /**
   * 删除请求
   * **/
  dj_deleteDataRequest (model = undefined,index = -1) {}
  /**
   * 转移请求
   * **/
  dj_transferDataRequest (model = undefined,index = -1) {}










}
export default DjTableViewModel
